# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Name:           cewolf
Version:        1.1.12
Release:        2%{?dist}
Epoch:          0
Summary:        Chart Taglib Library
License:        LGPLv2+
URL:            http://cewolf.sourceforge.net/
Group:          Development/Libraries/Java
Source0:        http://downloads.sourceforge.net/project/cewolf/cewolf/cewolf-1.1.12/cewolf-1.1.12.zip
Source1:        cewolf.pom
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  apache-commons-logging
BuildRequires:  jcommon >= 0:1.0.0
BuildRequires:  jfreechart >= 0:1.0.0
BuildRequires:  jsp_2_1_api
BuildRequires:  junit
BuildRequires:  servlet_2_5_api
BuildRequires:  tlddoc
BuildRequires:  xmlgraphics-batik
Requires:  java >= 0:1.6.0
Requires:  apache-commons-logging
Requires:  jcommon >= 0:1.0.0
Requires:  jfreechart >= 0:1.0.0
Requires:  jsp_api
Requires:  servlet_api
Requires:  xmlgraphics-batik
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%description
Cewolf can be used inside a Servlet/JSP based web application
to embed complex graphical charts of all kinds (e.g. line,
pie, bar chart, plots, etc.) into a web page. Therefore it
provides a full featured tag library to define all properties
of the chart (colors, strokes, legend, etc.). Thus the JSP
which embedds the chart is not polluted with any java code.
Everything is described with XML conform tags.
Cewolf is based on JFreeChart and uses it's rendering engine
to render the final chart image into the clients response
stream. No files are created on server side. Everything is
based on lightweight session objects and dynamic data analysis.
Cewolf consists of one servlet which handles the chart
rendering and a taglibrary which translates the chart
definition included in the JSP into an HTML img tag which
consults the rendering servlet for retrieval of the
appropriate chart.

%package        demo
Summary:        Demos for %{name}
Group:          Development/Documentation

%description    demo
Demonstrations and samples for %{name}.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q 
# remove all binary libs
for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

ln -s $(build-classpath xmlgraphics-batik/batik-awt-util) lib/batik-awt-util-1.6.jar
ln -s $(build-classpath xmlgraphics-batik/batik-dom) lib/batik-dom-1.6.jar
ln -s $(build-classpath xmlgraphics-batik/batik-svggen) lib/batik-svggen-1.6.jar
ln -s $(build-classpath xmlgraphics-batik/batik-util-dom) lib/batik-util-1.6.jar
ln -s $(build-classpath xmlgraphics-batik/batik-xml-dom) lib/batik-xml-1.6.jar
ln -s $(build-classpath commons-logging) lib/commons-logging-1.1.1.jar
ln -s $(build-classpath jcommon) lib/jcommon-1.0.15.jar
ln -s $(build-classpath jfreechart) lib/jfreechart-1.0.12.jar
ln -s $(build-classpath jsp_2_1_api) lib/jsp-api.jar
ln -s $(build-classpath junit) lib/junit-3.8.2.jar
ln -s $(build-classpath servlet_2_5_api) lib/servlet-api.jar
ln -s $(build-classpath tlddoc) lib/tlddoc.jar

%build

ant -DcewolfVersion=%{version}

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap %{name} %{name} %{version} JPP %{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# tlddoc
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr tagdoc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_docdir}/%{name}-%{version}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Wed Oct 31 2012 Will Tatam <will.tatam@red61.com> 1.1.12-2
- Auto rebuild for JPackage 6 in centos5 mock

* Wed Aug 01 2012 Ralph Apel <r.apel at r-apel.de> - 0:1.1.12-1
- 1.1.12

* Mon Mar 09 2009 Ralph Apel <r.apel at r-apel.de> - 0:1.0-5.jpp5
- Drop crimson BR

* Thu Jul 17 2008 David Walluck <dwalluck@redhat.com> 0:1.0-4
- remove javadoc scriptlets
- GCJ fixes
- fix maven directory ownership
- use excalibur for avalon
- update BuildRoot
- update License
- remove Vendor and Distribution

* Wed Jun 25 2008 Ralph Apel <r.apel at r-apel.de> - 0:1.0-3.jpp5
- Thanks Lutz
- Add pom and depmap frag

* Thu Jun 19 2008 Lutz Behnke <lutz.behnke at informatik.haw-hamburg.de> - 0:1.0-2jpp
- move the tld info to META-INF in order to comply with JSP spec.
- add BuildRequire dependencies for missing maven plugins

* Fri May 18 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp
- First JPP release
